Package org.flowable.cmmn.model

# Class ReactivationRule

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemRule
org.flowable.cmmn.model.ReactivationRule

All Implemented Interfaces:
  `HasExtensionAttributes`

public class ReactivationRule extends PlanItemRule
The reactivation rule describes how a plan item is reactivated during phase two of case reactivation. There are three possible conditions:

- `activateCondition` if evaluated to true, immediately activates the plan item, even if it contains conditions or entry sentries
- `ignoreCondition` if evaluated to true, completely ignores the plan item
- `defaultCondition` if evaluated to true, will treat the plan item the very same way as if the case was newly created

If the condition is `null`, it is evaluated as `false`. You might also just put `true` as the condition to permanently activate it without runtime evaluation. If more than one evaluates to `true`, they are treated in the following order: activate, ignore and then default, which means as an example, if the activate condition evaluates to true, but the default one as well, the activate one has precedence, so the plan item immediately gets activated.

Author:
  Micha Kiener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `activateCondition`
  `protected String`
  `defaultCondition`
  `protected String`
  `ignoreCondition`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemRule

  `condition`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReactivationRule()`
  `ReactivationRule(String activateCondition, String ignoreCondition, String defaultCondition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getActivateCondition()`
  `String`
  `getDefaultCondition()`
  `String`
  `getIgnoreCondition()`
  `boolean`
  `hasActivationCondition()`
  `boolean`
  `hasActivationRule()`
  `boolean`
  `hasDefaultCondition()`
  `boolean`
  `hasDefaultRule()`
  `int`
  `hashCode()`
  `boolean`
  `hasIgnoreCondition()`
  `boolean`
  `hasIgnoreRule()`
  `void`
  `setActivateCondition(String activateCondition)`
  `void`
  `setDefaultCondition(String defaultCondition)`
  `void`
  `setIgnoreCondition(String ignoreCondition)`
  `String`
  `toString()`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemRule

  `getCondition, setCondition`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### activateCondition

    protected String activateCondition

  - ### ignoreCondition

    protected String ignoreCondition

  - ### defaultCondition

    protected String defaultCondition

- ## Constructor Details

  - ### ReactivationRule

    public ReactivationRule()

  - ### ReactivationRule

    public ReactivationRule(String activateCondition, String ignoreCondition, String defaultCondition)

- ## Method Details

  - ### hasActivationRule

    public boolean hasActivationRule()

  - ### hasIgnoreRule

    public boolean hasIgnoreRule()

  - ### hasDefaultRule

    public boolean hasDefaultRule()

  - ### hasActivationCondition

    public boolean hasActivationCondition()

  - ### hasIgnoreCondition

    public boolean hasIgnoreCondition()

  - ### hasDefaultCondition

    public boolean hasDefaultCondition()

  - ### getDefaultCondition

    public String getDefaultCondition()

  - ### setDefaultCondition

    public void setDefaultCondition(String defaultCondition)

  - ### getActivateCondition

    public String getActivateCondition()

  - ### setActivateCondition

    public void setActivateCondition(String activateCondition)

  - ### getIgnoreCondition

    public String getIgnoreCondition()

  - ### setIgnoreCondition

    public void setIgnoreCondition(String ignoreCondition)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PlanItemRule`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`